Bug 510145 - gnome-display-properties has no UI for primary output
gnome-display-properties has no UI for primary output
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fitandfinish
  Show dependency treegraph
 
Reported: 2009-07-07 17:05 EDT by Adam Jackson
Modified: 2010-10-25 17:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-25 17:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 562944 None None None Never

  None (edit)
Description Adam Jackson 2009-07-07 17:05:02 EDT
Description of problem:

RANDR 1.3 lets you select an output as "primary", which means it sorts to the front in Xinerama and RANDR geometry queries.  The panel uses this to determine which head to display on.

There doesn't seem to be any UI for this.  The effect seems to be that the leftmost display is implicitly set primary, but I'm pretty sure RRSetOutputPrimary is never called at all.  Might be worth having a checkbox for this.

Version-Release number of selected component (if applicable):

control-center-2.26.0-6.fc11
Comment 1 Matthias Clasen 2009-07-08 01:17:20 EDT
I've put patches for this into http://bugzilla.gnome.org/show_bug.cgi?id=588040 and http://bugzilla.gnome.org/show_bug.cgi?id=588041

Final piece in the puzzle is a patch to make the panel come up on the primary output, if there is one.
Comment 2 Richard Hughes 2009-10-08 05:30:11 EDT
An additional point, I currently have this setup:

* T61 (intel graphics) docked into an ultrabay (left side of the desk)
* Flat panel connected to the dock DVI connector (right side of the desk)

gnome-display-properties always assumes that neither screen is primary (so both entries in monitors.xml is '<primary>no</primary>') and then something takes the decision to make the external flat panel the default screen (probably sane), where all the gnome menu bars go.

Whilst not unpleasant with GNOME 2.x, with GNOME 3.0 and gnome-shell the shell assumes that you're just flinging your mouse to the top left to open the menu. Obviously, if the menubars are on the right hand side screen, then you've got to aim for a few pixels in-between two screens, which isn't ideal at all.

Now, by hand editing my monitors.xml file to read <primary>yes</primary> for the internal LVDS panel, everything is good and the world is a happy place.

Would it be a good idea to have a checkbox "Display toolbars on this screen" in gnome-display-properties to be able to select the primary monitor? I can work on a patch if it's going to be acceptable upstream. Even a context menu on the screen ("Make default screen") would be a nice power-user feature if you don't want to clutter the UI.

Feedback please. Thanks.
Comment 3 Bastien Nocera 2009-10-08 05:55:58 EDT
(In reply to comment #2)
<snip>
> Would it be a good idea to have a checkbox "Display toolbars on this screen" in
> gnome-display-properties to be able to select the primary monitor? I can work
> on a patch if it's going to be acceptable upstream. Even a context menu on the
> screen ("Make default screen") would be a nice power-user feature if you don't
> want to clutter the UI.

MacOS X has a label saying "To relocate the menu bar, drag it to a different display", and the menu bar shows up as part of the display rearranging.
Comment 4 Bug Zapper 2009-11-16 05:43:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Felix Möller 2009-12-13 07:58:54 EST
@Matthias: As noted allready in https://bugzilla.gnome.org/show_bug.cgi?id=588041 there is no patch attached...
Comment 6 Adam Jackson 2010-10-25 17:14:41 EDT
Filed upstream, closing here.

Note You need to log in before you can comment on or make changes to this bug.